com.pdfunit.validators

## Class MultiDocumentSignatureFieldValidator

- java.lang.Object
- - com.pdfunit.validators.MultiDocumentSignatureFieldValidator

-     @DoNotObfuscate
      public final class MultiDocumentSignatureFieldValidator
      extends java.lang.Object

  This class provides methods to validate properties of a single signature for all given PDF documents.
  Since:
    2016.05
  Author:
    Carsten Siedentop, March 2016

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MultiDocumentSignatureFieldValidator(java.util.Vector<SignatureFieldValidator> signatureFieldValidators)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MultiDocumentSignatureFieldValidator` | `coveringWholeDocument()`
    `MultiDocumentSignatureFieldValidator` | `hasSignatureField(java.lang.String fieldName)`
    `MultiDocumentSignatureFieldValidator` | `signedBy(java.lang.String expectedName)`
    `MultiDocumentSignatureFieldValidator` | `signedOn(java.util.Calendar expectedSigningDate)`
    `MultiDocumentSignatureFieldValidator` | `withoutSignature()`
    `MultiDocumentSignatureFieldValidator` | `withReason(java.lang.String expectedReason)`
    `MultiDocumentSignatureFieldValidator` | `withSignature()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiDocumentSignatureFieldValidator

          protected MultiDocumentSignatureFieldValidator(java.util.Vector<SignatureFieldValidator> signatureFieldValidators)

  - ### Method Detail

    - #### coveringWholeDocument

          public MultiDocumentSignatureFieldValidator coveringWholeDocument()

    - #### hasSignatureField

          @Guarded
          public MultiDocumentSignatureFieldValidator hasSignatureField(java.lang.String fieldName)

    - #### signedBy

          @Guarded
          public MultiDocumentSignatureFieldValidator signedBy(java.lang.String expectedName)

    - #### signedOn

          @Guarded
          public MultiDocumentSignatureFieldValidator signedOn(java.util.Calendar expectedSigningDate)

    - #### withSignature

          public MultiDocumentSignatureFieldValidator withSignature()

    - #### withoutSignature

          public MultiDocumentSignatureFieldValidator withoutSignature()

    - #### withReason

          @Guarded
          public MultiDocumentSignatureFieldValidator withReason(java.lang.String expectedReason)

Copyright (C) PDFUnit.com. See here for license.